Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadBase.FileUploadIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.fileupload.FileUploadBase.FileUploadIOException

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.FileUploadIOException

extends IOException

This exception is thrown for hiding an inner `FileUploadException` in an `IOException`.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.FileUploadIOException(FileUploadException pCause)` Creates a `FileUploadIOException` with the given cause.

Method Summary
`Throwable` | `getCause()` Returns the exceptions cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.FileUploadIOException

    public FileUploadBase.FileUploadIOException(FileUploadException pCause)

  Creates a `FileUploadIOException` with the given cause.

  Parameters:
    `pCause` - The exceptions cause, if any, or null.

Method Detail

### getCause

    public Throwable getCause()

  Returns the exceptions cause.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    The exceptions cause, if any, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.